export declare class NodeLocation {
    static equals(a: NodeLocation, b: NodeLocation): boolean;
    static transform(base: NodeLocation, location: NodeLocation, delta?: number): NodeLocation;
    private __hashCode;
    readonly path: readonly number[];
    constructor(path: number[]);
    slice(start: number, end?: number): NodeLocation;
    get last(): number;
    get length(): number;
    toString(): string;
    get hashCode(): number;
}
