export declare class CursorState {
    #private;
    readonly startId: string;
    readonly startOffset: number;
    readonly endId: string;
    readonly endOffset: number;
    static collapse(id: string, offset: number): CursorState;
    constructor(startId: string, startOffset: number, endId: string, endOffset: number, collapsed?: boolean);
    get id(): string;
    get offset(): number;
    get isCollapsed(): boolean;
    get isOpen(): boolean;
    equals(that: CursorState): boolean;
}
